dots.v2.apps.byApp_Id().components.byComponent_name().exec.get()

Generated on 13 Nov 2026 from DoTs version v1.24.0

Usage

client.v2.apps.byApp_Id(app_Id).components.byComponent_name(component_name).exec.get(requestConfiguration?: RequestConfiguration<ExecRequestBuilderGetQueryParameters>): Promise<undefined | Apps_get_exec_response>

Description

Returns a websocket URL that allows sending/receiving console input and output to a component of the active deployment if one exists.

Parameters

Path Parameters

app_Id string required

Example: 4f6c71e2-1e90-4762-9fee-6cc4a0a9f2cf

The app ID

component_name string required

Example: component

An optional component name. If set, logs will be limited to this component only.

Query Parameters

instanceName string optional

Example: go-app-d768568df-zz77d

The name of the actively running ephemeral compute instance

Request Sample

Show Request Sample
import { FetchRequestAdapter } from "@microsoft/kiota-http-fetchlibrary";
import {
    createDigitalOceanClient,
    DigitalOceanApiKeyAuthenticationProvider,
} from "@digitalocean/dots";

const authProvider = new DigitalOceanApiKeyAuthenticationProvider(process.env.DIGITALOCEAN_TOKEN!);
const adapter = new FetchRequestAdapter(authProvider);
const client = createDigitalOceanClient(adapter);

const response = await client.v2.apps
    .byApp_Id("4f6c71e2-1e90-4762-9fee-6cc4a0a9f2cf").components
    .byComponent_name("component").exec.get();

Response Example

Show Response Example
{
  "url": "wss://exec/?token=xxx"
}

More Information

See /v2/apps/{app_id}/components/{component_name}/exec in the API reference for additional detail on responses, headers, parameters, and more.

We can't find any results for your search.

Try using different keywords or simplifying your search terms.